Index: Dev/trunk/Gruntfile.js
===================================================================
--- Dev/trunk/Gruntfile.js	(revision 486)
+++ Dev/trunk/Gruntfile.js	(revision 487)
@@ -13,4 +13,5 @@
                                   ,'htmlhint:lint'
                                   ,'coffeelint:lint'
+                                  //,'tv4:lint'
                                   ,'less:compile'
                                   ,'usebanner:generated-css'
@@ -20,5 +21,6 @@
                                 //,'amd-check' // too smart about plugins, r.js can't find them
                                   ]);
-    grunt.registerTask('build', ['clean:build'
+    grunt.registerTask('build', ['compile'
+                                ,'clean:build'
                                 ,'copy:build'
                                 ,'dojo:build'
@@ -107,4 +109,13 @@
             }
         },
+        tv4: {
+            lint: {
+                options: {
+                    root: grunt.file.readJSON('json-schema-draft-04.json'),
+                    multi: true
+                },
+                src: [srcDir+'server/config/couchdb-schema.json']
+            }
+        },
         usebanner: {
             'generated-css': { options: { position: 'top',
@@ -129,4 +140,5 @@
     grunt.loadNpmTasks('grunt-dojo');
     grunt.loadNpmTasks('grunt-htmlhint');
+    grunt.loadNpmTasks('grunt-tv4');
     grunt.loadTasks('./grunt-tasks');
 
Index: Dev/trunk/src/.jshintrc-generated
===================================================================
--- Dev/trunk/src/.jshintrc-generated	(revision 486)
+++ Dev/trunk/src/.jshintrc-generated	(revision 487)
@@ -17,4 +17,5 @@
     "loopfunc": true,
     "shadow": true,
+    "eqnull": true,
 
     "devel": true,
Index: Dev/trunk/src/client/qed-client/app/Router.js
===================================================================
--- Dev/trunk/src/client/qed-client/app/Router.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/app/Router.js	(revision 487)
@@ -78,5 +78,5 @@
                         route.callback(params);
                     } catch(err) {
-                        console.error("Page change failed with",err.toString());
+                        console.error("Page change failed with",err,err.toString());
                     }
                     return;
Index: Dev/trunk/src/client/qed-client/model/classes/_Class.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/_Class.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/_Class.js	(revision 487)
@@ -0,0 +1,51 @@
+define([
+    "./_View",
+    "dojo/_base/declare",
+    "dojo/_base/lang"
+], function(_View, declare, lang) {
+
+    var _Class = declare([_View],{
+        _type: null,
+        constructor: function() {
+            if ( this._type === null ) {
+                throw new Error("You must specify a concrete type.");
+            }
+        },
+        create: function() {
+            var obj = {
+                type: this._type
+            };
+            console.warn("You may want to override create for concrete types.");
+            return obj;
+        },
+        _doSerialize: function(obj) {
+            obj = lang.clone(obj);
+            return this._serialize(obj) || obj;
+        },
+        _serialize: function(obj) {
+            console.warn("You may want to override _serialize for concrete types.");
+        },
+        load: function(id) {
+            return this._store.get(id).then(lang.hitch(this,'_doDeserialize'));
+        },
+        save: function(obj) {
+            return this._store.put(this._doSerialize(obj));
+        },
+        remove: function(objOrId,rev) {
+            var id;
+            if ( typeof objOrId === "string" ) {
+                id = objOrId;
+            } else {
+                id = this.getId(objOrId);
+                rev = this.getRev(objOrId);
+            }
+            return this._store.remove(id,{headers:{'If-Match':'"'+rev+'"'}});
+        },
+        getRev: function(obj) {
+            return obj._rev;
+        }
+    });
+
+    return _Class;
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/_View.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/_View.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/_View.js	(revision 487)
@@ -0,0 +1,37 @@
+define([
+    "../../store/JsonRest",
+    "dojo/_base/declare",
+    "dojo/_base/lang",
+    "dojo/store/util/QueryResults"
+], function(JsonRest, declare, lang, queryResults) {
+
+    var _View = declare([],{
+        _collection: null,
+        _store: null,
+        constructor: function() {
+            if ( this._collection === null ) {
+                throw new Error("You must specify a concrete collection.");
+            }
+            this._store = new JsonRest({
+                target: '/api/'+this._collection+'/',
+                idProperty: '_id'
+            });
+        },
+        _doDeserialize: function(obj) {
+            obj = lang.clone(obj);
+            return this._deserialize(obj) || obj;
+        },
+        _deserialize: function(obj) {
+            console.warn("You may want to override _deserialize for concrete types.");
+        },
+        query: function(query) {
+            return queryResults(this._store.query(query).map(lang.hitch(this,'_doDeserialize')));
+        },
+        getId: function(obj) {
+            return obj._id;
+        }
+    });
+
+    return _View;
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/categories.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/categories.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/categories.js	(revision 487)
@@ -0,0 +1,16 @@
+define([
+    "./_View",
+    "dojo/_base/declare"
+], function(_View, declare) {
+
+    var Categories = declare([_View],{
+        _collection: 'categories',
+        _deserialize: function() {},
+        getId: function(obj) {
+            return obj;
+        }
+    });
+
+    return new Categories();
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/questions.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/questions.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/questions.js	(revision 487)
@@ -0,0 +1,34 @@
+define([
+    "./_Class",
+    "dojo/_base/declare",
+    "dojo/date/stamp"
+], function(_Class, declare, stamp) {
+
+    var Questions = declare([_Class],{
+        _collection: 'questions',
+        _type: 'Question',
+        create: function() {
+            var obj = {
+                type: this._type,
+                categories: [],
+                code: "",
+                content: [],
+                title: ""
+            };
+            return obj;
+        },
+        _deserialize: function(obj) {
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.fromISOString(obj.publicationDate);
+            }
+        },
+        _serialize: function(obj) {
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.toISOString(obj.publicationDate);
+            }
+        }
+    });
+
+    return new Questions();
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/responses.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/responses.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/responses.js	(revision 487)
@@ -0,0 +1,93 @@
+define([
+    "./_Class",
+    "./surveyRuns",
+    "dojo/Deferred",
+    "dojo/_base/declare",
+    "dojo/_base/json",
+    "dojo/_base/lang",
+    "dojo/_base/xhr",
+    "dojo/date/stamp"
+], function(_Class, surveyRuns, Deferred, declare, json, lang, xhr, stamp) {
+
+    var Responses = declare([_Class],{
+        _collection: 'responses',
+        _type: 'Response',
+        create: function() {
+            var obj = {
+                type: this._type,
+                answers: {},
+                surveyRunId: null
+            };
+            return obj;
+        },
+        _deserialize: function(obj) {
+            if (obj._surveyRun) {
+                obj._surveyRun = surveyRuns._doDeserialize(obj._surveyRun);
+            }
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.fromISOString(obj.publicationDate);
+            }
+        },
+        _serialize: function(obj) {
+            if (obj._surveyRun) {
+                obj._surveyRun = surveyRuns._doSerialize(obj._surveyRun);
+            }
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.toISOString(obj.publicationDate);
+            }
+        },
+        getWithSecret: function(id,secret) {
+            var query = xhr.objectToQuery({secret:secret});
+            return xhr('GET',{
+                url: '/api/open/responses/' + id + '?' + query,
+                handleAs: 'json',
+                contentType: false
+            }).then(lang.hitch(this,'_doDeserialize'),function(err){
+                return new Deferred().reject(json.fromJson(err.responseText));
+            });
+        },
+        postWithSecret: function(response,secret) {
+            var query = xhr.objectToQuery({secret:secret});
+            var body = json.toJson(this._doSerialize(response));
+            return xhr('POST',{
+                url: '/api/open/responses?' + query,
+                handleAs: 'json',
+                contentType: 'application/json',
+                rawBody: body
+            }).then(lang.hitch(this,'_doDeserialize'),function(err){
+                return new Deferred().reject(json.fromJson(err.responseText));
+            });
+        },
+        putWithSecret: function(response,secret) {
+            var query = xhr.objectToQuery({secret:secret});
+            var body = json.toJson(this._doSerialize(response));
+            return xhr('PUT',{
+                url: '/api/open/responses/' + this.getId(response) + '?' + query,
+                handleAs: 'json',
+                contentType: 'application/json',
+                rawBody: body
+            }).then(lang.hitch(this,'_doDeserialize'),function(err){
+                return new Deferred().reject(json.fromJson(err.responseText));
+            });
+        },
+        removeWithSecret: function(response,secret) {
+            var query = xhr.objectToQuery({secret:secret});
+            var rev = this.getRev(response);
+            var body = json.toJson(this._doSerialize(response));
+            var headers = {};
+            if ( rev ) {
+                headers['If-Match'] = '"'+rev+'"';
+            }
+            return xhr('DELETE',{
+                url: '/api/open/responses/' + this.getId(response) + '?' + query,
+                headers: headers,
+                handleAs: 'json',
+                contentType: 'application/json',
+                rawBody: body
+            });
+        }
+    });
+
+    return new Responses();
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/surveyRuns.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/surveyRuns.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/surveyRuns.js	(revision 487)
@@ -0,0 +1,47 @@
+define([
+    "./_Class",
+    "./surveys",
+    "dojo/_base/declare",
+    "dojo/date/stamp"
+], function(_Class, surveys, declare, stamp) {
+
+    var SurveyRuns = declare([_Class],{
+        _collection: 'surveyRuns',
+        _type: 'SurveyRun',
+        create: function() {
+            var obj = {
+                type: this._type,
+                description: "",
+                mode: "open",
+                survey: null,
+                title: ""
+            };
+            return obj;
+        },
+        _deserialize: function(obj) {
+            if (obj.endDate) {
+                obj.endDate = stamp.fromISOString(obj.endDate);
+            }
+            if (obj.startDate) {
+                obj.startDate = stamp.fromISOString(obj.startDate);
+            }
+            if (obj.survey) {
+                obj.survey = surveys._doDeserialize(obj.survey);
+            }
+        },
+        _serialize: function(obj) {
+            if (obj.endDate) {
+                obj.endDate = stamp.toISOString(obj.endDate);
+            }
+            if (obj.startDate) {
+                obj.startDate = stamp.toISOString(obj.startDate);
+            }
+            if (obj.survey) {
+                obj.survey = surveys._doSerialize(obj.survey);
+            }
+        }
+    });
+
+    return new SurveyRuns();
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/surveys.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/surveys.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/surveys.js	(revision 487)
@@ -0,0 +1,33 @@
+define([
+    "./_Class",
+    "dojo/_base/declare",
+    "dojo/date/stamp",
+    "dojo/store/JsonRest"
+], function(_Class, declare, stamp, JsonRest) {
+
+    var Surveys = declare([_Class],{
+        _collection: 'surveys',
+        _type: 'Survey',
+        create: function() {
+            var obj = {
+                type: this._type,
+                questions: [],
+                title: ""
+            };
+            return obj;
+        },
+        _deserialize: function(obj) {
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.fromISOString(obj.publicationDate);
+            }
+        },
+        _serialize: function(obj) {
+            if (obj.publicationDate) {
+                obj.publicationDate = stamp.toISOString(obj.publicationDate);
+            }
+        }
+    });
+
+    return new Surveys();
+
+});
Index: Dev/trunk/src/client/qed-client/model/classes/topics.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/classes/topics.js	(revision 487)
+++ Dev/trunk/src/client/qed-client/model/classes/topics.js	(revision 487)
@@ -0,0 +1,16 @@
+define([
+    "./_View",
+    "dojo/_base/declare"
+], function(_View, declare) {
+
+    var Topics = declare([_View],{
+        _collection: 'topics',
+        _deserialize: function() {},
+        getId: function(obj) {
+            return obj;
+        }
+    });
+
+    return new Topics();
+
+});
Index: Dev/trunk/src/client/qed-client/model/widgets/QuestionEditorToolkit.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/widgets/QuestionEditorToolkit.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/model/widgets/QuestionEditorToolkit.js	(revision 487)
@@ -1,4 +1,5 @@
 define([
-    "../../store",
+    "../classes/categories",
+    "../classes/topics",
     "./CategoryListView",
     "dijit/_Container",
@@ -15,5 +16,5 @@
     "require",
     "dojo/text!./templates/QuestionEditorToolkit.html"
-], function(store, CategoryListView, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, Button, ComboBox, declare, lang, Source, domConstruct, Memory, require, template) {
+], function(categories, topics, CategoryListView, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, Button, ComboBox, declare, lang, Source, domConstruct, Memory, require, template) {
     return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Container], {
 
@@ -107,12 +108,10 @@
             this.inherited(arguments);
 
-            store.query("_design/questions/_view/all", {reduce:true, group:false, group_level:1})
-            .forPairs(lang.hitch(this, function(value, key) {
-                this._categoryStore.put({ id: key[0] });
+            categories.query().forEach(lang.hitch(this,function(cat){
+                this._categoryStore.put({ id: cat });
             }));
 
-            store.query("_design/questions/_view/all_topics", {reduce:true, group:true})
-            .forPairs(lang.hitch(this, function(value, key) {
-                this._topicStore.put({ id: key });
+            topics.query().forEach(lang.hitch(this,function(topic){
+                this._categoryStore.put({ id: topic });
             }));
         },
Index: Dev/trunk/src/client/qed-client/model/widgets/SurveyRenderWidget.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/widgets/SurveyRenderWidget.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/model/widgets/SurveyRenderWidget.js	(revision 487)
@@ -1,5 +1,4 @@
 define([
     "../../widgets/_ComplexValueWidget",
-    "../classes/Survey",
     "./questions/Factory",
     "dojo/_base/array",
@@ -7,5 +6,5 @@
     "dojo/dom-construct",
     "dojo/text!./templates/SurveyRenderWidget.html"
-], function(_ComplexValueWidget, Survey, QuestionWidgetFactory, array, declare, domConstruct, template) {
+], function(_ComplexValueWidget, QuestionWidgetFactory, array, declare, domConstruct, template) {
     return declare([_ComplexValueWidget],{
         templateString: template,
@@ -22,5 +21,5 @@
             this.survey = survey;
             var f = new QuestionWidgetFactory();
-            array.forEach(Survey.Questions.get(this.survey),function(question,question_index){
+            array.forEach(this.survey.questions,function(question,question_index){
                 array.forEach(question.content || [], function(item,item_index){
                     // The dot causes values to be grouped in an object!
Index: Dev/trunk/src/client/qed-client/model/widgets/SurveySummary.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/widgets/SurveySummary.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/model/widgets/SurveySummary.js	(revision 487)
@@ -1,5 +1,3 @@
 define([
-    "../../store",
-    "../classes/Survey",
     "dijit/_TemplatedMixin",
     "dijit/_WidgetBase",
@@ -7,5 +5,5 @@
     "dojo/dom-attr",
     "dojo/text!./templates/SurveySummary.html"
-], function(store, Survey, _TemplatedMixin, _WidgetBase, declare, domAttr, template) {
+], function(_TemplatedMixin, _WidgetBase, declare, domAttr, template) {
     return declare([_WidgetBase,_TemplatedMixin],{
         templateString: template,
@@ -18,9 +16,8 @@
         },
         _setValueAttr: function(survey) {
-            this.titleNode.innerHTML = Survey.DisplayTitle.get(survey);
-            var id = store.getIdentity(survey);
-            domAttr.set(this.titleNode, "href", id && ("#!/survey/"+id));
+            this.titleNode.innerHTML = survey.title || "";
+            domAttr.set(this.titleNode, "href", survey._id && ("#!/survey/"+survey._id));
             this.descriptionNode.innerHTML = survey.description;
-            this.questionsNode.innerHTML = (survey.questions || []).length;
+            this.questionsNode.innerHTML = survey.questions.length;
         }
     });
Index: Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js	(revision 487)
@@ -1,12 +1,14 @@
 define([
-    'dojo/_base/declare',
-    'dojo/_base/lang',
-    'dojo/_base/window',
-    'dijit/layout/ContentPane',
-    'dijit/layout/TabContainer',
-    'dojox/widget/Standby',
-    '../../store',
-    '../../widgets/Selector'
-],function(declare,lang,win,ContentPane,TabContainer,Standby,store,Selector){
+    "../../widgets/Selector",
+    "../classes/categories",
+    "../classes/questions",
+    "../classes/topics",
+    "dijit/layout/ContentPane",
+    "dijit/layout/TabContainer",
+    "dojo/_base/declare",
+    "dojo/_base/lang",
+    "dojo/_base/window",
+    "dojox/widget/Standby"
+], function(Selector, categories, questions, topics, ContentPane, TabContainer, declare, lang, win, Standby) {
     return declare([TabContainer],{
         tabPosition: 'left-h',
@@ -38,7 +40,7 @@
                 this._fillCategoryTab(newTab.__category);
             }));
-            store.query(this._query, {reduce:true,group:true,group_level:1})
-            .forPairs(lang.hitch(this,function(value,key){
-                this._createCategoryTab(key[0],value);
+            categories.query()
+            .forEach(lang.hitch(this,function(cat){
+                this._createCategoryTab(cat.name,cat.count);
             }));
         },
@@ -61,7 +63,7 @@
                 this._busy();
                 categoryMap._filled = true;
-                store.query(this._query, {reduce:true,group:true,group_level:2,startkey:[category],endkey:[category,{}]})
-                .forPairs(lang.hitch(this,function(value,key){
-                    this._createTopicSelector(key[1],category,value);
+                topics.query({category:category})
+                .forEach(lang.hitch(this,function(topic){
+                    this._createTopicSelector(topic.name,category,topic.count);
                 })).then(lang.hitch(this,function(){
                     this._done();
@@ -101,9 +103,6 @@
                 topicMap._filled = true;
                 this._busy();
-                store.query(this._query, {
-                    reduce:false,
-                    include_docs:true,
-                    key:[category,topic]
-                }).forEach(lang.hitch(this,function(value){
+                questions.query({category:category,topic:topic})
+                .forEach(lang.hitch(this,function(value){
                     topicMap._widget.addItem(value);
                 })).then(lang.hitch(this,function(){
Index: Dev/trunk/src/client/qed-client/pages/previewSurvey.js
===================================================================
--- Dev/trunk/src/client/qed-client/pages/previewSurvey.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/pages/previewSurvey.js	(revision 487)
@@ -1,5 +1,5 @@
 define([
     "../app/Page",
-    "../store",
+    "../model/classes/surveys",
     "dojo/_base/array",
     "dojo/_base/declare",
@@ -8,5 +8,5 @@
     "require",
     "dojo/text!./templates/previewSurvey.html"
-], function(Page, store, array, declare, lang, when, require, template) {
+], function(Page, surveys, array, declare, lang, when, require, template) {
     return declare([Page],{
         contextRequire: require,
@@ -16,7 +16,7 @@
             this.inherited(arguments);
             if ( this.surveyId ) {
-                when(store.get(this.surveyId))
+                when(surveys.load(this.surveyId))
                 .then(lang.hitch(this,function(survey){
-                    this.titleNode.innerHTML = survey.title;
+                    this.titleNode.innerHTML = survey.title || "";
                     this.surveyWidget.set('survey',survey);
                 }));
Index: Dev/trunk/src/client/qed-client/pages/question.js
===================================================================
--- Dev/trunk/src/client/qed-client/pages/question.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/pages/question.js	(revision 487)
@@ -3,8 +3,7 @@
     "../app/Page",
     "../app/Router",
-    "../model/classes/Question",
+    "../model/classes/questions",
     "../model/widgets/QuestionEditorPreview",
     "../model/widgets/QuestionEditorToolkit",
-    "../store",
     "../widgets/_ComplexValueMixin",
     "dojo/_base/declare",
@@ -13,5 +12,5 @@
     "dojo/when",
     "dojo/text!./templates/question.html"
-], function(Content, Page, Router, Question, QuestionEditorPreview, QuestionEditorToolkit, store, _ComplexValueMixin, declare, event, lang, when, template) {
+], function(Content, Page, Router, questions, QuestionEditorPreview, QuestionEditorToolkit, _ComplexValueMixin, declare, event, lang, when, template) {
     return declare([Page,_ComplexValueMixin], {
         templateString: template,
@@ -43,7 +42,7 @@
             }
             if (this.questionId === "new") {
-                this.set('value', Question.create());
+                this.set('value', questions.create());
             } else {
-                when(store.get(this.questionId))
+                when(questions.load(this.questionId))
                 .then(lang.hitch(this, function(value) {
                     this.set('value', value);
@@ -54,5 +53,5 @@
             this.value = value;
             this.inherited(arguments);
-            this.titleNode.innerHTML = Question.DisplayTitle.get(value);
+            this.titleNode.innerHTML = value.title || "";
         },
         _getValueAttr: function() {
@@ -63,6 +62,5 @@
         _onSave: function(evt) {
             if ( this.validate() ) {
-                var value = this.get('value');
-                store.put(value)
+                questions.save(this.get('value'))
                 .then(function() {
                     Router.go('/questions');
Index: Dev/trunk/src/client/qed-client/pages/questions.js
===================================================================
--- Dev/trunk/src/client/qed-client/pages/questions.js	(revision 486)
+++ Dev/trunk/src/client/qed-client/pages/questions.js	(revision 487)
@@ -1,14 +1,14 @@
 define([
-    'dojo/_base/declare',
-    'dojo/_base/Deferred',
-    'dojo/_base/event',
-    'dojo/_base/lang',
-    '../store',
-    '../app/Content',
-    '../app/Router',
-    '../app/Page',
-    '../model/widgets/TabbedQuestionBrowser',
-    'dojo/text!./templates/questions.html'
-],function(declare,Deferred,event,lang,store,Content,Router,Page,TabbedQuestionBrowser,template) {
+    "../app/Content",
+    "../app/Page",
+    "../app/Router",
+    "../model/classes/questions",
+    "../model/widgets/TabbedQuestionBrowser",
+    "dojo/_base/Deferred",
+    "dojo/_base/declare",
+    "dojo/_base/event",
+    "dojo/_base/lang",
+    "dojo/text!./templates/questions.html"
+], function(Content, Page, Router, questions, TabbedQuestionBrowser, Deferred, declare, event, lang, template) {
     return declare([Page],{
         templateString: template,
@@ -44,5 +44,5 @@
         },
         onDeleteQuestion: function(question) {
-            store.remove(store.getIdentity(question),store.getRevision(question))
+            questions.remove(question)
             .then(function(){
                 Content.notify("Question deleted.");
@@ -55,6 +55,6 @@
         },
         onPublishQuestion: function(question) {
-            question.publicationDate = store.timestamp();
-            store.put(question)
+            question.publicationDate = new Date();
+            questions.save(question)
             .then(function(){
                 Content.notify("Question published.");
